return {
    'nvim-telescope/telescope.nvim', branch = '0.1.x',
    dependencies = { 'nvim-lua/plenary.nvim' },
    opts = {
      defaults = {
        file_ignore_patterns = { "**/*.pdf" },
        layout_strategy = "horizontal",
        layout_config = { prompt_position = "top" },
        sorting_strategy = "ascending",
        winblend = 0,
      },
    },
    keys = {
        {"<leader>ff", "<cmd>Telescope find_files<cr>", desc = "Find files"},
        {"<leader>fe", "<cmd>Telescope git_files<cr>", desc = "Find file respecting .gitignore"},
        {"<leader>fg", "<cmd>Telescope live_grep<cr>", desc = "Grep file in file"},
        {"<leader>fb", "<cmd>Telescope buffers<cr>", desc = "Search through buffers"},
        {"<leader>ft", "<cmd>Telescope tags<cr>", desc = "Search through tags"},
        {"<leader>fm", "<cmd>Telescope marks<cr>", desc = "Search through marks"},
        {"<leader>fs", "<cmd>Telescope search_history<cr>", desc = "Search through search"},
    },
    config = function()
        require('telescope').setup(

        )
    end
}
